Public Attributes | List of all members
_hal_i2c_callback Struct Reference
Peripheral Driver » HAL Driver » I2C » Callback Structures » Callback

HAL_I2C Callback function definition. More...

`#include <gr533x_hal_i2c.h>`

## Public Attributes
void(* | i2c_msp_init )(i2c_handle_t *p_i2c)
void(* | i2c_msp_deinit )(i2c_handle_t *p_i2c)
void(* | i2c_master_tx_cplt_callback )(i2c_handle_t *p_i2c)
void(* | i2c_master_rx_cplt_callback )(i2c_handle_t *p_i2c)
void(* | i2c_slave_tx_cplt_callback )(i2c_handle_t *p_i2c)
void(* | i2c_slave_rx_cplt_callback )(i2c_handle_t *p_i2c)
void(* | i2c_error_callback )(i2c_handle_t *p_i2c)
void(* | i2c_abort_cplt_callback )(i2c_handle_t *p_i2c)

## Detailed Description

HAL_I2C Callback function definition.

Definition at line 238 of file gr533x_hal_i2c.h.

## Member Data Documentation

## ◆ i2c_abort_cplt_callback

void(* _hal_i2c_callback::i2c_abort_cplt_callback) (i2c_handle_t *p_i2c)

I2C abort completed callback

Definition at line 247 of file gr533x_hal_i2c.h.

## ◆ i2c_error_callback

void(* _hal_i2c_callback::i2c_error_callback) (i2c_handle_t *p_i2c)

I2C error callback

Definition at line 246 of file gr533x_hal_i2c.h.

## ◆ i2c_master_rx_cplt_callback

void(* _hal_i2c_callback::i2c_master_rx_cplt_callback) (i2c_handle_t *p_i2c)

I2C master rx transfer completed callback

Definition at line 243 of file gr533x_hal_i2c.h.

## ◆ i2c_master_tx_cplt_callback

void(* _hal_i2c_callback::i2c_master_tx_cplt_callback) (i2c_handle_t *p_i2c)

I2C master tx transfer completed callbac

Definition at line 242 of file gr533x_hal_i2c.h.

## ◆ i2c_msp_deinit

void(* _hal_i2c_callback::i2c_msp_deinit) (i2c_handle_t *p_i2c)

I2C de-init MSP callback

Definition at line 241 of file gr533x_hal_i2c.h.

## ◆ i2c_msp_init

void(* _hal_i2c_callback::i2c_msp_init) (i2c_handle_t *p_i2c)

I2C init MSP callback

Definition at line 240 of file gr533x_hal_i2c.h.

## ◆ i2c_slave_rx_cplt_callback

void(* _hal_i2c_callback::i2c_slave_rx_cplt_callback) (i2c_handle_t *p_i2c)

I2C slave rx transfer completed callback

Definition at line 245 of file gr533x_hal_i2c.h.

## ◆ i2c_slave_tx_cplt_callback

void(* _hal_i2c_callback::i2c_slave_tx_cplt_callback) (i2c_handle_t *p_i2c)

I2C slave tx transfer completed callback

Definition at line 244 of file gr533x_hal_i2c.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_i2c.h